/*****
*
* Hello SQLite World! example - HTML5 version
* $Id: hello_html5.js 87 2008-08-12 09:44:30Z klaus $
*
*****/

window.onload = function() {
    // connect to database in domain-subdiretory within profile database-directory
    var db = openDatabase("Hello", "1.0", "Hello SQLite World!", 512000);

    // get reference to text-element and add eventListener
    var textNode = document.getElementById('hello.msg');
    textNode.onclick = function() {
        var msg = prompt("Enter message",textNode.firstChild.nodeValue);    // ask for new text
        if (msg && !msg.match(/^ +$/)) {
            db.transaction(function(tx) {
                tx.executeSql('UPDATE hello SET msg=?',[msg]);  // update database
            });
            queryMessage();   // display message
        }
    };

    // query current message from database and set text in SVG
    queryMessage = function() {
        db.transaction(function(tx) {
            tx.executeSql("CREATE TABLE IF NOT EXISTS hello(msg TEXT)");
            tx.executeSql("SELECT msg FROM hello", [], function(tx, rs) {
                if (rs.rows.length == 1) {
                    textNode.firstChild.nodeValue = rs.rows.item(0).msg;
                }
            });
            if (textNode.firstChild.nodeValue == ' ') {
                // table hello is empty so populate it
                tx.executeSql("INSERT INTO hello (msg) VALUES ('Hello SQLite World!')");
                textNode.firstChild.nodeValue = 'Hello SQLite World!';
            }
        });
    }

    // get current message from database onload
    queryMessage();
}